const { getAndParseWords, writeWords } = require('./fs-helpers');
const { newList } = require('./new');

function addWord(list, word, definition) {
  newList(list);

  const listOfWords = getAndParseWords(list);

  if (!Object.keys(listOfWords).includes(word)) listOfWords[word] = [definition];
  if (word && !listOfWords[word].includes(definition)) {
    listOfWords[word].push(definition);
  }

  return writeWords(list, listOfWords);
}

module.exports = {
  addWord,
};
